import java.util.*;

public class Buch implements Comparable<Buch> {
	String titel, autor;
	int jahr;
	
	public Buch(String t, String a, int j) {
		titel = t;
		autor = a;
		jahr = j;
	}
	
	public String getTitel() { return titel; }
	public String getAutor() { return autor; }
	public int getJahr() { return jahr; }
	
	// Buecher nach Titel sortieren
	public int compareTo(Buch b) {
		return titel.compareTo(b.getTitel());  // Strings vergleichen
	}
	
	// fuer Objektgleichheit
	public boolean equals(Object o) {
		Buch buch = (Buch) o;
		return getTitel().equals(buch.getTitel());
	}

	// fuer Objektgleichheit
	public int hashCode() {
		return titel.hashCode();
	}
	
	// ueberschriebene Methode, um Buchinformationen auszugeben
	public String toString() {
		return titel + " (" + autor + " " + jahr + ")";
	}
}